Synfire 1.9 Beta

164 posts / 0 new
Last post
andre's picture
andre
Offline
Last seen 4 days 17 hours ago

ReWire has actually improved a lot with 1.9. This was somewhat unplanned, but became necessary at one point, so we did a full streamlining and partial rewrite. If there are still issues, we'd like to hear them.

Hope to get 1.9 final next week. 

Ruchir's picture
Ruchir
Offline
Last seen 2 weeks 4 days ago

I think the trick would be to improve the installer, so it replaces the rewire and audio dll’s from the 1.8 version.

Ruchir's picture
Ruchir
Offline
Last seen 2 weeks 4 days ago

Andre, I had to fresh reinstall of windows 10. Now after I've installed Synfire 1.9 and click on it, nothing happens I just get an hourglass for a few seconds. Do you know what's going on? Do I need to install 1.8 first, before 1.9 will work?

 

EDIT - I think it might be ilok software related.

andre's picture
andre
Offline
Last seen 4 days 17 hours ago

Also update License Manager from www.ilok.com. That should help.

Otherwise 1.9 is self contained and complete, not an incremental update.

andre's picture
andre
Offline
Last seen 4 days 17 hours ago

Ok, so now the beta is done and official 1.9.1 is ready for download at https://www.cognitone.com/user/downloads/index.stml

Admittedly, there is still this rare and random spin lock on the Mac that I was totally unable to reproduce yet, no matter what. Of course it will eventually be fixed, so while it's not pretty, we can't any longer hold back the release, since we have to move foward with our work on new features.

The external MTC sync issue was fixed. Still, ReWire works great with Logic X, so you should probably check your setup and rather not use MTC or SPP synch, which is less accurate.

sksherman's picture
sksherman
Offline
Last seen 2 weeks 3 days ago

My install of the 1.9.1 beta on Windows 10 (yes, I upgraded from Windows 8.1, new laptop) fails the prerequisite check for Visual C++ 2015 Redistributable.  I deinstalled all copies of the 2015 redistributable and now think it must be seeing a conflict with installed Visual C++ 2017 Redistributable.  That is at version 14.15.26706.

Any recommendations?

Here are the relevant log file details:

[2C0C:2850][2019-04-01T08:13:49]i000: Setting string variable 'WixBundleName' to value 'Microsoft Visual C++ 2015 Redistributable (x64) - 14.0.24212'
[2C0C:2850][2019-04-01T08:13:49]i100: Detect begin, 10 packages
[2C0C:2850][2019-04-01T08:13:49]i000: Setting version variable 'windows_uCRT_DetectKey' to value '10.0.17134.619'
[2C0C:2850][2019-04-01T08:13:49]i000: Setting numeric variable 'windows_uCRT_DetectKeyExists' to value 1
[2C0C:2850][2019-04-01T08:13:49]i102: Detected related bundle: {95ac1cfa-f4fb-4d1b-8912-7f9d5fbb140d}, type: Upgrade, scope: PerMachine, version: 14.15.26706.0, operation: Downgrade
[2C0C:2850][2019-04-01T08:13:49]i103: Detected related package: {C77195A4-CEB8-38EE-BDD6-C46CB459EF6E}, scope: PerMachine, version: 14.15.26706.0, language: 0 operation: Downgrade
[2C0C:2850][2019-04-01T08:13:49]i103: Detected related package: {FDBE9DB4-7A91-3A28-B27E-705EF7CFAE57}, scope: PerMachine, version: 14.0.24123.0, language: 0 operation: MajorUpgrade
[2C0C:2850][2019-04-01T08:13:49]i103: Detected related package: {F106B700-BFF8-3065-B305-14D36AD40539}, scope: PerMachine, version: 14.15.26706.0, language: 0 operation: Downgrade
[2C0C:2850][2019-04-01T08:13:49]i103: Detected related package: {21134089-9B59-34C8-BE11-929D26AD5207}, scope: PerMachine, version: 14.0.24123.0, language: 0 operation: MajorUpgrade
[2C0C:2850][2019-04-01T08:13:49]i052: Condition '(VersionNT = v6.3 AND NOT VersionNT64) AND (windows_uCRT_DetectKeyExists AND windows_uCRT_DetectKey >= v10.0.10240.0)' evaluates to false.
[2C0C:2850][2019-04-01T08:13:49]i052: Condition '(VersionNT = v6.3 AND VersionNT64) AND (windows_uCRT_DetectKeyExists AND windows_uCRT_DetectKey >= v10.0.10240.0)' evaluates to false.
[2C0C:2850][2019-04-01T08:13:49]i052: Condition '(VersionNT = v6.2 AND NOT VersionNT64) AND (windows_uCRT_DetectKeyExists AND windows_uCRT_DetectKey >= v10.0.10240.0)' evaluates to false.
[2C0C:2850][2019-04-01T08:13:49]i052: Condition '(VersionNT = v6.2 AND VersionNT64) AND (windows_uCRT_DetectKeyExists AND windows_uCRT_DetectKey >= v10.0.10240.0)' evaluates to false.
[2C0C:2850][2019-04-01T08:13:49]i052: Condition '(VersionNT = v6.1 AND NOT VersionNT64) AND (windows_uCRT_DetectKeyExists AND windows_uCRT_DetectKey >= v10.0.10240.0)' evaluates to false.
[2C0C:2850][2019-04-01T08:13:49]i052: Condition '(VersionNT = v6.1 AND VersionNT64) AND (windows_uCRT_DetectKeyExists AND windows_uCRT_DetectKey >= v10.0.10240.0)' evaluates to false.
[2C0C:2850][2019-04-01T08:13:49]i052: Condition '(VersionNT = v6.0 AND NOT VersionNT64) AND (windows_uCRT_DetectKeyExists AND windows_uCRT_DetectKey >= v10.0.10240.0)' evaluates to false.
[2C0C:2850][2019-04-01T08:13:49]i052: Condition '(VersionNT = v6.0 AND VersionNT64) AND (windows_uCRT_DetectKeyExists AND windows_uCRT_DetectKey >= v10.0.10240.0)' evaluates to false.
[2C0C:2850][2019-04-01T08:13:49]i101: Detected package: vcRuntimeMinimum_x64, state: Obsolete, cached: None
[2C0C:2850][2019-04-01T08:13:49]i101: Detected package: vcRuntimeAdditional_x64, state: Obsolete, cached: None
[2C0C:2850][2019-04-01T08:13:49]i101: Detected package: Windows81_x86, state: Absent, cached: None
[2C0C:2850][2019-04-01T08:13:49]i101: Detected package: Windows81_x64, state: Absent, cached: None
[2C0C:2850][2019-04-01T08:13:49]i101: Detected package: Windows8_x86, state: Absent, cached: None
[2C0C:2850][2019-04-01T08:13:49]i101: Detected package: Windows8_x64, state: Absent, cached: None
[2C0C:2850][2019-04-01T08:13:49]i101: Detected package: Windows7_MSU_x86, state: Absent, cached: None
[2C0C:2850][2019-04-01T08:13:49]i101: Detected package: Windows7_MSU_x64, state: Absent, cached: None
[2C0C:2850][2019-04-01T08:13:49]i101: Detected package: WindowsVista_MSU_x86, state: Absent, cached: None
[2C0C:2850][2019-04-01T08:13:49]i101: Detected package: WindowsVista_MSU_x64, state: Absent, cached: None
[2C0C:2850][2019-04-01T08:13:49]i052: Condition 'VersionNT64 >= v6.0 OR (VersionNT64 = v5.2 AND ServicePackLevel >= 1)' evaluates to true.
[2C0C:2850][2019-04-01T08:13:49]i199: Detect complete, result: 0x0
[2C0C:2F68][2019-04-01T08:13:57]e000: Error 0x80070666: Cannot install a product when a newer version is installed.
 

Thanks!  :)

Steve

andre's picture
andre
Offline
Last seen 4 days 17 hours ago

The various C++ distributables should be able to coexist. They are not meant to replace each other.

sksherman's picture
sksherman
Offline
Last seen 2 weeks 3 days ago

Looks like there is some known ugliness with respect to Visual C++ 2015 and Visual C++ 2017:

https://stackoverflow.com/questions/41586447/c-redistributable-14-confli...

Still researching ...

 

sksherman's picture
sksherman
Offline
Last seen 2 weeks 3 days ago

Resolved it.  Part of the issue may have been my port from WIndows 81, to Windows 10.  This may have corrupted the support for Visual C++ Redistributable.  I was able to resolve the issue by doing Repair on both of the Visual C++ 2017 Redistributables.

Thanks!  :)

Steve

sksherman's picture
sksherman
Offline
Last seen 2 weeks 3 days ago

I'm using Synfire Pro 1.9.1 and may have found a minor bug.  When I import a multi-track SMF I have "Create Figures" checked and the tracks set to import.  That seems to work well with importing the tracks and playback is good.  According to the user manual (page 83), "The phrases contained are divided into small sound bites and converted into appropriate phrase pools."  That doesn't seem to be happening.

I can drag the container over to create a new set of tracks in the pool library folder.  And, for each track I can do auto-split (1, 2 or 4 measure minimums).  So, manually I can basically create a pool library with phrase pools from the SMF.  But, shouldn't this be done automatically, per the user manual?  Or, am I missing a critical step?

 

RobertoD's picture
RobertoD
Offline
Last seen 2 weeks 3 days ago

It happens to me, too, and I think it has something to do with the anchors.

One more reason to introduce a function that allows you to cut the segments regardless of the position of the related anchor...

iMac Pro, Logic Pro, StudioOne 4, Synfire, Notion, NI Komplete, Heavyocity, various Spitfire/8Dio/VSL libs, Altiverb, a mate (Ines) and two cats (Oliva&Spritzi)

andre's picture
andre
Offline
Last seen 4 days 17 hours ago

The batch import should split pools automatically if you import into a standalone library document. That is, open File >> Import >> ... from the Library app rather than the Arrange app. Importing into an arrangement won't split tracks into phrase pools.

sksherman's picture
sksherman
Offline
Last seen 2 weeks 3 days ago

Ah!  That works great!  :)

Would it make sense to have the Arrange app incliude an option somewhere to enable/disable creation of new phrase pool libraries with SMN import?  It seems to me useful so that I could load an SMF for development and get a new phrase pool library in one step.

Pages

Log in or register to post comments

Scholarly Lite is a free theme, contributed to the Drupal Community by More than Themes.